Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl
Class StreamClientImpl.UpnpURLConnection

    java.lang.Object
      java.net.URLConnection
          java.net.HttpURLConnection
              sun.net.www.protocol.http.HttpURLConnection
                  org.teleal.cling.transport.impl.StreamClientImpl.UpnpURLConnection

Enclosing class:
  StreamClientImpl

    public static class StreamClientImpl.UpnpURLConnection

extends sun.net.www.protocol.http.HttpURLConnection

The Sun genuises restrict the JDK handlers to GET/POST/etc. They do not understand HTTP. It's still not fixed in JDK7!

Field Summary

Fields inherited from class sun.net.www.protocol.http.HttpURLConnection
`cachedResponse, handler, http, instProxy, pi, ps, userAgent`

Fields inherited from class java.net.HttpURLConnection
`chunkLength, fixedContentLength, HTTP_ACCEPTED, HTTP_BAD_GATEWAY, HTTP_BAD_METHOD, HTTP_BAD_REQUEST, HTTP_CLIENT_TIMEOUT, HTTP_CONFLICT, HTTP_CREATED, HTTP_ENTITY_TOO_LARGE, HTTP_FORBIDDEN, HTTP_GATEWAY_TIMEOUT, HTTP_GONE, HTTP_INTERNAL_ERROR, HTTP_LENGTH_REQUIRED, HTTP_MOVED_PERM, HTTP_MOVED_TEMP, HTTP_MULT_CHOICE, HTTP_NO_CONTENT, HTTP_NOT_ACCEPTABLE, HTTP_NOT_AUTHORITATIVE, HTTP_NOT_FOUND, HTTP_NOT_IMPLEMENTED, HTTP_NOT_MODIFIED, HTTP_OK, HTTP_PARTIAL, HTTP_PAYMENT_REQUIRED, HTTP_PRECON_FAILED, HTTP_PROXY_AUTH, HTTP_REQ_TOO_LONG, HTTP_RESET, HTTP_SEE_OTHER, HTTP_SERVER_ERROR, HTTP_UNAUTHORIZED, HTTP_UNAVAILABLE, HTTP_UNSUPPORTED_TYPE, HTTP_USE_PROXY, HTTP_VERSION, instanceFollowRedirects, method, responseCode, responseMessage`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, url, useCaches`

Constructor Summary
`protected` | `StreamClientImpl.UpnpURLConnection(URL u, sun.net.www.protocol.http.Handler handler)`
`` | `StreamClientImpl.UpnpURLConnection(URL u, String host, int port)`

Method Summary
`OutputStream` | `getOutputStream()`
`void` | `setRequestMethod(String method)`

Methods inherited from class sun.net.www.protocol.http.HttpURLConnection
`addRequestProperty, connect, disconnect, doTunneling, finalize, getConnectTimeout, getErrorStream, getHeaderField, getHeaderField, getHeaderFieldKey, getHeaderFields, getInputStream, getNewHttpClient, getNewHttpClient, getReadTimeout, getRequestProperties, getRequestProperty, openConnectionCheckRedirects, plainConnect, proxiedConnect, setConnectTimeout, setDefaultAuthenticator, setNewClient, setNewClient, setProxiedClient, setProxiedClient, setReadTimeout, setRequestProperty, usingProxy`

Methods inherited from class java.net.HttpURLConnection
`getFollowRedirects, getHeaderFieldDate, getInstanceFollowRedirects, getPermission, getRequestMethod, getResponseCode, getResponseMessage, setChunkedStreamingMode, setFixedLengthStreamingMode, setFollowRedirects, setInstanceFollowRedirects`

Methods inherited from class java.net.URLConnection
`getAllowUserInteraction, getContent, getContent, getContentEncoding, getContentLength, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderFieldInt, getIfModifiedSince, getLastModified, getURL, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setUseCaches, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamClientImpl.UpnpURLConnection

    protected StreamClientImpl.UpnpURLConnection(URL u,
                                                 sun.net.www.protocol.http.Handler handler)
                                          throws IOException

Throws:
  `IOException`

### StreamClientImpl.UpnpURLConnection

    public StreamClientImpl.UpnpURLConnection(URL u,
                                              String host,
                                              int port)
                                       throws IOException

Throws:
  `IOException`

Method Detail

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Overrides:
    `getOutputStream` in class `sun.net.www.protocol.http.HttpURLConnection`
  Throws:
    `IOException`

### setRequestMethod

    public void setRequestMethod(String method)
                          throws ProtocolException

  Overrides:
    `setRequestMethod` in class `HttpURLConnection`
  Throws:
    `ProtocolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.